[build-system]
requires = ["setuptools>=68.0"]
build-backend = "setuptools.build_meta"

[project]
name = "sigil"
version = "0.1.0"
requires-python = ">=3.12"

[tool.setuptools.packages.find]
include = ["src*"]

[tool.pyright]
pythonVersion = "3.13"
extraPaths = ["."]
